"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPathString = getPathString;
const round = function (point) {
  'worklet';

  let precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1;
  const multiplier = precision * 10;
  return {
    x: Math.round(multiplier * point.x) / multiplier,
    y: Math.round(multiplier * point.y) / multiplier
  };
};
function getPathString(points) {
  'worklet';

  let close = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  if (points.length === 0) {
    return '';
  }
  const start = round(points[0]);
  const remainingPoints = points.slice(1);
  let pathString = `M ${start.x} ${start.y}`;
  remainingPoints.forEach(point => {
    const roundedPoint = round(point);
    pathString += ` L ${roundedPoint.x} ${roundedPoint.y}`;
  });
  if (close) {
    pathString += 'Z';
  }
  return pathString;
}
//# sourceMappingURL=geometry-worklet.js.map