import type { CharacterJson, Point, PositionerOptions } from '../types';
export declare class Positioner {
    padding: number;
    width: number;
    height: number;
    xOffset: number;
    yOffset: number;
    scale: number;
    constructor(options: PositionerOptions);
    convertExternalPoint(point: Point): {
        x: number;
        y: number;
    };
}
export declare class UserStroke {
    id: number;
    points: Point[];
    externalPoints: Point[];
    constructor(id: number, startingPoint: Point, startingExternalPoint: Point);
    appendPoint(point: Point, externalPoint: Point): void;
}
export declare class Stroke {
    path: string;
    points: Point[];
    strokeNum: number;
    isInRadical: boolean;
    constructor(path: string, points: Point[], strokeNum: number, isInRadical?: boolean);
    getStartingPoint(): Point;
    getEndingPoint(): Point;
    getLength(): number;
    getVectors(): {
        x: number;
        y: number;
    }[];
    getDistance(point: Point): number;
    getAverageDistance(points: Point[]): number;
}
export declare class Character {
    symbol: string;
    strokes: Stroke[];
    constructor(symbol: string, strokes: Stroke[]);
}
export declare function parseCharData(symbol: string, charJson: CharacterJson): Character;
export interface StrokeMatchResultMeta {
    isStrokeBackwards: boolean;
}
export interface StrokeMatchResult {
    isMatch: boolean;
    meta: StrokeMatchResultMeta;
}
export declare function strokeMatches(userStroke: UserStroke, character: Character, strokeNum: number, options?: {
    leniency?: number;
    isOutlineVisible?: boolean;
}): StrokeMatchResult;
//# sourceMappingURL=index.d.ts.map