interface UsePromiseOptions<T> {
    cacheKey?: string;
    promiseFn?: () => Promise<T>;
}
type PromiseState<T> = {
    status: 'idle';
} | {
    status: 'pending';
} | {
    status: 'resolved';
    data: T;
} | {
    status: 'rejected';
    error: Error;
};
/** Simple implementation of a React hook for handling promises with caching. */
export declare function usePromise<T>(options: UsePromiseOptions<T>): {
    state: PromiseState<T>;
    refetch: () => void;
};
export {};
//# sourceMappingURL=usePromise.d.ts.map